Subject: bug#39598: 26.3; Emacs is extremely unresponsive on a trivial python file

From: Eli Zaretskii <[email-masked]>
Date: Sat, 15 Feb 2020 21:22:53 +0200

> From: Ivan Oreshnikov <[email-masked]>
> Date: Sat, 15 Feb 2020 19:49:37 +0100
> Cc: [email-masked]
> 
> > What is/are the real-life use case(s) where such long series of strings causes slowdown?
> 
> This is an intermediate state of python buffer when I am trying to build a large-ish dictionary with lists of strings
> as a value.

Why do you need that intermediate buffer to be in Python mode?

> What I find a bit weird is that it only happens to a long series of bare strings. If I construct an equally long
> proper python list of strings I don't see this behavior.

I guess because the code is tuned to support valid Python code, not
something that shouldn't happen in Python sources?